package ui.view;

import javax.swing.JPanel;
import javax.swing.JLabel;
import java.awt.Font;
import java.awt.Dimension;

public class FlexibleData extends JPanel {
	private JLabel name_lbl;
	private JLabel lblProdVal;
	private JLabel lblConsVal;
	private JLabel lblProdConsVal;
	public FlexibleData(String name, float prod, float cons) {
		setPreferredSize(new Dimension(400, 150));
		setMinimumSize(new Dimension(300, 200));
		setLayout(null);
		
		name_lbl = new JLabel();
		name_lbl.setFont(new Font("Tahoma", Font.PLAIN, 13));
		name_lbl.setBounds(10, 11, 125, 27);
		setlblName(name);
		add(name_lbl);
		
		JLabel lblFlProd = new JLabel("Flex. Prod.  :");
		lblFlProd.setBounds(31, 46, 65, 27);
		add(lblFlProd);
		
		JLabel lblFlexCons = new JLabel("Flex. Cons.  :\r\n");
		lblFlexCons.setBounds(31, 72, 65, 27);
		add(lblFlexCons);
		
		JLabel lblProdCons = new JLabel("Prod./Cons. :");
		lblProdCons.setBounds(31, 95, 65, 27);
		add(lblProdCons);
		
		lblProdVal = new JLabel();
		setProd(prod);
		lblProdVal.setBounds(100, 47, 125, 24);
		add(lblProdVal);
		
		lblConsVal = new JLabel();
		setCons(cons);
		lblConsVal.setBounds(100, 73, 125, 24);
		add(lblConsVal);
		
		lblProdConsVal = new JLabel();
		if(cons != 0 && prod != 0){
		lblProdConsVal.setText(Float.toString(prod/cons));
		}else if(prod == 0){
			lblProdConsVal.setText("only consuming...");
		}else if(cons == 0){
			lblProdConsVal.setText("only producing...");
		}
		lblProdConsVal.setBounds(100, 96, 125, 24);
		add(lblProdConsVal);
	}
	
	public void setProd(float p){
		lblProdVal.setText(Float.toString(p));
	}
	
	public void setCons(float c){
		lblConsVal.setText(Float.toString(c));
	}
	
	public void setProdConsVal(float pc){
		lblProdConsVal.setText(Float.toString(pc));
	}
	
	public void setlblName(String name){
		name_lbl.setText(name);
	}
}
